Skip to main content
POST
/
customers
/
{customerAccountNumber}
/
transactions
Get transactions for a customer
curl --request POST \
  --url https://apigwuat.corpay.com/customers/{customerAccountNumber}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactionDateFrom": "2023-12-25",
  "transactionDateTo": "2023-12-25",
  "cardIdentifiers": [
    123
  ],
  "productIds": [
    123
  ],
  "cursor": "<string>",
  "limit": 123,
  "sortExpression": "<string>"
}
'
import requests

url = "https://apigwuat.corpay.com/customers/{customerAccountNumber}/transactions"

payload = {
"transactionDateFrom": "2023-12-25",
"transactionDateTo": "2023-12-25",
"cardIdentifiers": [123],
"productIds": [123],
"cursor": "<string>",
"limit": 123,
"sortExpression": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionDateFrom: '2023-12-25',
transactionDateTo: '2023-12-25',
cardIdentifiers: [123],
productIds: [123],
cursor: '<string>',
limit: 123,
sortExpression: '<string>'
})
};

fetch('https://apigwuat.corpay.com/customers/{customerAccountNumber}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$ref": "#/components/schemas/TransactionsResponse/example"
}
{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}
{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}
Performance expectations:
p50: 300 ms, p99: 1600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics

Authorizations

Authorization
string
header
required

Use OAuth2 client credentials to obtain a bearer token.

Token endpoint: POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token

Use the same base URL as the selected API server:

  • Test environment: https://apigwuat.corpay.com
  • Production environment: https://apigw.corpay.com

Example:

curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'

Path Parameters

customerAccountNumber
string
required

Body

application/json
transactionDateFrom
string<date>
transactionDateTo
string<date>
billingStatus
enum<string>
Available options:
Billed,
Unbilled,
All
cardIdentifiers
integer[]
productIds
integer[]
cursor
string
limit
integer
sortExpression
string

Response

Transactions

hasNextPage
boolean
lastPage
boolean
nextCursor
string
totalCount
integer
transactions
object[]